Edit

Share via


Items - Get SQL Database Definition

Returns the specified SQL database public definition.
This API supports long running operations (LRO).

When you get a SQL database's public definition, the sensitivity label is not a part of the definition.

Permissions

The caller must have read and write permissions for the SQL database.

Required Delegated Scopes

SQLDatabase.ReadWrite.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/sqlDatabases/{sqlDatabaseId}/getDefinition

URI Parameters

Name In Required Type Description
sqlDatabaseId
path True

string (uuid)

The SQL database ID.

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

SQLDatabaseDefinitionResponse

Request completed successfully.

202 Accepted

Request accepted. Retrieving the definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • OperationNotSupportedForItem - Operation not supported for requested item.

Examples

Get a Digital Twin Builder Flow public definition example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48/sqlDatabases/41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87/getDefinition

Sample response

{
  "definition": {
    "parts": [
      {
        "path": "definition.dacpac",
        "payload": "ew0KICAibGFrZWhvdXNlSWQiOiAiYjliNWQzNmYtNDQ0NS00MDNiLWFjODctMDE2YjFjZDIwMjExIg0KfQ==",
        "payloadType": "InlineBase64"
      },
      {
        "path": ".platform",
        "payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
        "payloadType": "InlineBase64"
      }
    ]
  }
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

SQLDatabaseDefinition

The SQL database public definition object. Refer to this article for more details on the structure of the SQL database definition.

SQLDatabaseDefinitionResponse

The SQL database public definition response.

SQLDatabasePublicDefinitionPart

SQL database definition part object.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

Value Description
InlineBase64

Inline Base 64.

SQLDatabaseDefinition

The SQL database public definition object. Refer to this article for more details on the structure of the SQL database definition.

Name Type Description
parts

SQLDatabasePublicDefinitionPart[]

A list of definition parts.

SQLDatabaseDefinitionResponse

The SQL database public definition response.

Name Type Description
definition

SQLDatabaseDefinition

The SQL database public definition object. Refer to this article for more details on the structure of the SQL database definition.

SQLDatabasePublicDefinitionPart

SQL database definition part object.

Name Type Description
path

string

The SQL database public definition part path.

payload

string

The SQL database public definition part payload.

payloadType

PayloadType

The payload type.